ELF_GETBASE(3)

NAME
elf_getbase - get the base offset for an object file

LIBRARY
libelf

SYNOPSIS
#include <libelf.h>
off_t
elf_getbase(Elf *elf);

DESCRIPTION
Function elf_getbase() returns the file offset in the containing archive of the first byte of the file referenced by ELF descriptor elf.

RETURN VALUES
Function elf_getbase() returns a valid file offset into the containing archive if successful. It returns -1 if argument elf is NULL or is not a member of an archive.

ERRORS
Function elf_getbase() may fail with the following errors:

[ELF_E_ARGUMENT]
    Argument elf is not an ELF descriptor for an archive member.

SEE ALSO
elf(3), elf_getarhdr(3), elf_getident(3), elf_rawfile(3), gelf(3)